Redmine - Patch #35034

Improve loading speed of workflow page
2021-04-05 10:36 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Performance Estimated time: 0.00 hour
Target version: 41.3

Description

#34247 has fixed the issue that a web browser freezes when you try to edit a workflow that has a lot of issue statuses, by adding
".no-tooltip" class to checkboxes.

The attached patch further improves the loading time of workflow pages by adding ".no-tooltip" to buttons for checking/unchecking
the row/column checkboxes as well.

In my environment, the speed of opening a workflow with 107 statuses using Microsoft Edge has improved from about 40-50
seconds before the patch to 15-20 seconds.

Related issues:
Related to Redmine - Defect #34247: Web browser freezes when displaying workf... Closed
Related to Redmine - Defect #36335: Error when editing workflow with large nu... New

Associated revisions

Revision 20919 - 2021-04-06 08:07 - Go MAEDA
Disable jQuery Ul tooltip on workflow page to improve loading speed (#35034).

Patch by Go MAEDA.

Revision 20925 - 2021-04-07 07:53 - Go MAEDA
Merged r20919 from trunk to 4.2-stable (#35034).

Revision 20926 - 2021-04-07 07:54 - Go MAEDA
Merged r20919 from trunk to 4.1-stable (#35034).

History

#1 - 2021-04-05 10:36 - Go MAEDA

- Related to Defect #34247: Web browser freezes when displaying workflow page with a large number of issue statuses added

#2 - 2021-04-05 10:37 - Go MAEDA

- Target version set to 4.1.3

#3 - 2021-04-06 08:08 - Go MAEDA
- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch.

#4 - 2021-04-07 07:54 - Go MAEDA

- Status changed from Resolved to Closed

#5 - 2021-12-20 12:24 - salman mp
Related to #36335

#6 - 2021-12-21 06:44 - Bernhard Rohloff

- Related to Defect #36335: Error when editing workflow with large number of statuses added
https://www.redmine.org/issues/34247
https://www.redmine.org/issues/36335
